Open CASCADE Technology: IntAna2d_Conic Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
IntAna2d_Conic Class Reference

Definition of a conic by its implicit quadaratic equation: A.X**2 + B.Y**2 + 2.C.X*Y + 2.D.X + 2.E.Y + F = 0. More...

`#include <IntAna2d_Conic.hxx>`

## Public Member Functions
| IntAna2d_Conic (const gp_Circ2d &C)
| IntAna2d_Conic (const gp_Lin2d &C)
| IntAna2d_Conic (const gp_Parab2d &C)
| IntAna2d_Conic (const gp_Hypr2d &C)
| IntAna2d_Conic (const gp_Elips2d &C)
Standard_Real | Value (const Standard_Real X, const Standard_Real Y) const
| value of the function F at the point X,Y. More...
gp_XY | Grad (const Standard_Real X, const Standard_Real Y) const
| returns the value of the gradient of F at the point X,Y. More...
void | ValAndGrad (const Standard_Real X, const Standard_Real Y, Standard_Real &Val, gp_XY &Grd) const
| Returns the value of the function and its gradient at the point X,Y. More...
void | Coefficients (Standard_Real &A, Standard_Real &B, Standard_Real &C, Standard_Real &D, Standard_Real &E, Standard_Real &F) const
| returns the coefficients of the polynomial equation wich defines the conic: A.X**2 + B.Y**2 + 2.C.X*Y + 2.D.X + 2.E.Y + F = 0. More...
void | NewCoefficients (Standard_Real &A, Standard_Real &B, Standard_Real &C, Standard_Real &D, Standard_Real &E, Standard_Real &F, const gp_Ax2d &Axis) const
| Returns the coefficients of the polynomial equation ( written in the natural coordinates system ) A x x + B y y + 2 C x y + 2 D x + 2 E y + F in the local coordinates system defined by Axis. More...

## Detailed Description

Definition of a conic by its implicit quadaratic equation: A.X**2 + B.Y**2 + 2.C.X*Y + 2.D.X + 2.E.Y + F = 0.

## Constructor & Destructor Documentation

IntAna2d_Conic::IntAna2d_Conic | ( | const gp_Circ2d & | C | ) |

IntAna2d_Conic::IntAna2d_Conic | ( | const gp_Lin2d & | C | ) |

IntAna2d_Conic::IntAna2d_Conic | ( | const gp_Parab2d & | C | ) |

IntAna2d_Conic::IntAna2d_Conic | ( | const gp_Hypr2d & | C | ) |

IntAna2d_Conic::IntAna2d_Conic | ( | const gp_Elips2d & | C | ) |

## Member Function Documentation

void IntAna2d_Conic::Coefficients | ( | Standard_Real & | A,
|  | Standard_Real & | B,
|  | Standard_Real & | C,
|  | Standard_Real & | D,
|  | Standard_Real & | E,
|  | Standard_Real & | F
| ) |  | const

returns the coefficients of the polynomial equation wich defines the conic: A.X**2 + B.Y**2 + 2.C.X*Y + 2.D.X + 2.E.Y + F = 0.

gp_XY IntAna2d_Conic::Grad | ( | const Standard_Real | X,
|  | const Standard_Real | Y
| ) |  | const

returns the value of the gradient of F at the point X,Y.

void IntAna2d_Conic::NewCoefficients | ( | Standard_Real & | A,
|  | Standard_Real & | B,
|  | Standard_Real & | C,
|  | Standard_Real & | D,
|  | Standard_Real & | E,
|  | Standard_Real & | F,
|  | const gp_Ax2d & | Axis
| ) |  | const

Returns the coefficients of the polynomial equation ( written in the natural coordinates system ) A x x + B y y + 2 C x y + 2 D x + 2 E y + F in the local coordinates system defined by Axis.

void IntAna2d_Conic::ValAndGrad | ( | const Standard_Real | X,
|  | const Standard_Real | Y,
|  | Standard_Real & | Val,
|  | gp_XY & | Grd
| ) |  | const

Returns the value of the function and its gradient at the point X,Y.

Standard_Real IntAna2d_Conic::Value | ( | const Standard_Real | X,
|  | const Standard_Real | Y
| ) |  | const

value of the function F at the point X,Y.

The documentation for this class was generated from the following file:

- IntAna2d_Conic.hxx